Search documentation of ExStreamClient

# ExStreamClient.Model.Attachment (ExStreamClient v0.1.10)

View Source

Schema representing a Attachment

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.Attachment{
      actions: [ExStreamClient.Model.Action.t()] | nil,
      asset_url: String.t() | nil,
      author_icon: String.t() | nil,
      author_link: String.t() | nil,
      author_name: String.t() | nil,
      color: String.t() | nil,
      custom: %{optional(String.t()) => any()},
      fallback: String.t() | nil,
      fields: [ExStreamClient.Model.Field.t()] | nil,
      footer: String.t() | nil,
      footer_icon: String.t() | nil,
      giphy: ExStreamClient.Model.Images.t() | nil,
      image_url: String.t() | nil,
      latitude: float() | nil,
      longitude: float() | nil,
      og_scrape_url: String.t() | nil,
      original_height: integer() | nil,
      original_width: integer() | nil,
      pretext: String.t() | nil,
      stopped_sharing: boolean() | nil,
      text: String.t() | nil,
      thumb_url: String.t() | nil,
      title: String.t() | nil,
      title_link: String.t() | nil,
      type: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()